PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
spa_audio_info Struct Reference
SPA » Parameters

`#include <spa/param/audio/format.h>`

## Data Fields
uint32_t | media_type
uint32_t | media_subtype
union { |
struct spa_audio_info_raw raw |
struct spa_audio_info_dsp dsp |
struct spa_audio_info_iec958 iec958 |
struct spa_audio_info_dsd dsd |
struct spa_audio_info_mp3 mp3 |
struct spa_audio_info_aac aac |
struct spa_audio_info_vorbis vorbis |
struct spa_audio_info_wma wma |
struct spa_audio_info_ra ra |
struct spa_audio_info_amr amr |
struct spa_audio_info_alac alac |
struct spa_audio_info_flac flac |
struct spa_audio_info_ape ape |
struct spa_audio_info_ape opus |
} | info |

## Detailed Description

Examples
  audio-capture.c.

## Field Documentation

## ◆ media_type

uint32_t spa_audio_info::media_type

## ◆ media_subtype

uint32_t spa_audio_info::media_subtype

## ◆ raw

struct spa_audio_info_raw spa_audio_info::raw

## ◆ dsp

struct spa_audio_info_dsp spa_audio_info::dsp

## ◆ iec958

struct spa_audio_info_iec958 spa_audio_info::iec958

## ◆ dsd

struct spa_audio_info_dsd spa_audio_info::dsd

## ◆ mp3

struct spa_audio_info_mp3 spa_audio_info::mp3

## ◆ aac

struct spa_audio_info_aac spa_audio_info::aac

## ◆ vorbis

struct spa_audio_info_vorbis spa_audio_info::vorbis

## ◆ wma

struct spa_audio_info_wma spa_audio_info::wma

## ◆ ra

struct spa_audio_info_ra spa_audio_info::ra

## ◆ amr

struct spa_audio_info_amr spa_audio_info::amr

## ◆ alac

struct spa_audio_info_alac spa_audio_info::alac

## ◆ flac

struct spa_audio_info_flac spa_audio_info::flac

## ◆ ape

struct spa_audio_info_ape spa_audio_info::ape

## ◆ opus

struct spa_audio_info_ape spa_audio_info::opus

## ◆ [union]

union { ... } spa_audio_info::info

The documentation for this struct was generated from the following file:

- spa/param/audio/format.h